import { GraphQLSchema } from 'graphql';
import { ValidateOperationComplexityConfig } from 'packages/core/src/validate/complexity';
import { CommandFactory, GlobalArgs } from '@graphql-inspector/commands';
import { Source as DocumentSource } from '@graphql-tools/utils';
export { CommandFactory };
export declare function handler({ schema, documents, strictFragments, maxDepth, maxDirectiveCount, maxAliasCount, maxTokenCount, apollo, keepClientFields, failOnDeprecated, filter, onlyErrors, relativePaths, output, silent, validateComplexityConfig, }: {
    schema: GraphQLSchema;
    documents: DocumentSource[];
    failOnDeprecated: boolean;
    strictFragments: boolean;
    apollo: boolean;
    keepClientFields: boolean;
    maxDepth?: number;
    maxDirectiveCount?: number;
    maxAliasCount?: number;
    maxTokenCount?: number;
    filter?: string[];
    onlyErrors?: boolean;
    relativePaths?: boolean;
    output?: string;
    silent?: boolean;
    validateComplexityConfig?: ValidateOperationComplexityConfig;
}): void;
declare const _default: CommandFactory<{}, {
    schema: string;
    documents: string;
    deprecated: boolean;
    noStrictFragments: boolean;
    apollo: boolean;
    keepClientFields: boolean;
    maxDepth?: number;
    maxAliasCount?: number;
    maxDirectiveCount?: number;
    maxTokenCount?: number;
    filter?: string[];
    onlyErrors?: boolean;
    relativePaths?: boolean;
    output?: string;
    silent?: boolean;
    ignore?: string[];
    maxComplexityScore?: number;
    complexityScalarCost: number;
    complexityObjectCost: number;
    complexityDepthCostFactor: number;
} & GlobalArgs>;
export default _default;
